Documentation Index

Fetch the complete documentation index at: https://docs.restaurant365.com/llms.txt

Use this file to discover all available pages before exploring further.

/public/brand-management/v1/location-groups

Prev Next
Get
/public/brand-management/v1/location-groups

Retrieves a paginated list of location groups

Security
HTTP
Type Bearer

Put ONLY your JWT Bearer token on textbox below!

Query parameters
PageSize
integer (int32)

Maximum number of top level objects in the response, max value 250; if there are more objects matching the criteria, a link with a continuation token will be included in the response

ContinuationToken
string

Pagination token from a previous response. Omit to start from the first page

Responses
200

Brand Location Groups

Expand All
object
brandLocationGroups
Array of object (R365.Netcore.Public.Contracts.LocationGroups.Models.LocationGroup)
object
brandLocationGroupId
integer (int64)
brandLocationGroupName
string
description
string
subgroups
Array of object (R365.Netcore.Public.Contracts.LocationGroups.Models.Subgroup)
object
subgroupId
integer (int64)
name
string

Display name of the subgroup.

Level
integer (int32)
options
Array of object (R365.Netcore.Public.Contracts.LocationGroups.Models.Option)
object
subgroupId
integer (int64)
optionId
integer (int64)
value
string
locations
Array of string | null
string (uuid)
children
Array of object (R365.Netcore.Public.Contracts.LocationGroups.Models.Option)
object Recursive
nextPage
string (uri) | null

URL to retrieve the next page of results, or null when this is the last page.